_  = function(p) return p; end;
name = _('Camera + 2VC (3968x1080) with A-10C and Ka-50 Gauges');
Description = '1920x1080 Camera on leftmost monitor, 2xVirtual Cockpit panels (1024x1080) on 2 right monitors.  Gauges for A-10C and Ka-50 using abstract gauge addresses and reconfigure_for_unit function.'


-- Put your values in , and delete or rem out all exports that you don't want to use !
--[[
List of Exports:

----------------------
 Eagle Dynamics A-10C 
----------------------

MFCD_init.lua
LEFT_MFCD	(ED_A10C_LEFT_MFCD only if legacy MFCDs code in use)
RIGHT_MFCD	(ED_A10C_RIGHT_MFCD only if legacy MFCDs code in use)

CDU_init.lua
ED_A10C_CDU
CDU_SCREEN


DIGIT_CLK_init.lua
ED_A10C_CLOCK
CLOCK_SCREEN

AN_ALR69V_init.lua
ED_A10C_RWR
RWR_SCREEN

CMSP_init.lua
ED_A10C_CMSP
CMS_SCREEN

CMSC_init.lua
ED_A10C_CMSC
CMSC_SCREEN

freq_status_init.lua
ED_A10C_UHF_FREQUENCY_STATUS
UHF_FREQUENCY_SCREEN

preset_channel_init.lua
ED_A10C_UHF_PRESET_CHANNEL
UHF_PRESET_SCREEN

repeater_init.lua
ED_A10C_UHF_REPEATER
UHF_REPEATER_SCREEN

----------------------
 Eagle Dynamics Ka-50 
----------------------

ABRIS_init.lua
RIGHT_MFCD	(ED_KA50_ABRIS only if legacy ABRIS/Shkval code in use)

SHKVAL_init.lua
LEFT_MFCD	(ED_KA50_Shkval only if legacy ABRIS/Shkval code in use)

UV_26_init.lua
ED_KA50_UV26
UV26

PVI_init.lua
ED_KA50_PVI
PVI

Ekran_init.lua
ED_KA50_Ekran
Ekran

CautionLights_panel.lua
ED_KA50_CautionLights
CautionLights
--]]


Viewports =
{
	Center =
	{
	x = 0;
	y = 0;
	width = 1920;
	height = 1080;
	viewDx = 0;
	viewDy = 0;
	aspect = 1.77777777777778;
	}
}


UIMainView = 
{
	x = 0;
	y = 0;
	width = 1920;
	height = 1080;
	viewDx = 0;
	viewDy = 0;
	aspect = 1.77777777777778;
}

GUI = UIMainView



function reconfigure_for_unit(unit_type)
--***************
--	   Ka-50
--***************	
	if unit_type == 'Ka-50' then
       
	RIGHT_MFCD = 
	{
		x = 2948;
		y = 480;
		width = 450;	--408;
		height = 600;	--544;
		viewDx = 1;
		viewDy = 0;
		aspect = 3/4;
	}


	LEFT_MFCD =
	{
		x = 1920;
		y = 0;
		width = 600;
        height = 450;
		viewDx = 0;
		viewDy = 0;
		aspect = 4/3;
   }

	KNEEBOARD =
	{
	x = 3420;
	y = 491;
	width = 526;
	height = 789;
	}  

	--Ka-50 Add-on Gauges
		CautionLights =
		{
		x = 1925;
		y = 530;
		width = 1001;
		height = 1001;
		}

		Ekran =
		{
		x = 3450;
		y = 0;
		width = 200;
		height = 200;
		}

		PVI =
		{
		x = 3450;
		y = 210;
		width = 460;
		height = 230;
		}

		UV26 =
		{
		x = 3720;
		y = 0;
		width = 180;
		height = 134;
		}	
	--End Ka-50 Add-on Gauges	

 
--***************
--	   A-10C 
--***************
	elseif
	unit_type == 'A-10C' then

	LEFT_MFCD =
	{
	x = 2530;
	y = 15;
	width = 408;
	height = 408;
	}

	RIGHT_MFCD =
	{
	x = 2948;
	y = 16;
	width = 408;
	height = 408;
	}
	
	KNEEBOARD =
	{
	x = 1924;
	y = 491;
	width = 526;
	height = 789;
	}  

	--A-10C Add-on Gauges
		UHF_PRESET_SCREEN =
		{
		x = 2532;
		y = 879;
		width = 40;
		height = 40;
		}

		UHF_FREQUENCY_SCREEN =
		{
		x = 2538;
		y = 953;
		width = 170;
		height = 40;
		}

		UHF_REPEATER_SCREEN =
		{
		x = 2536;
		y = 530;
		width = 140;
		height = 40;
		}

		CLOCK_SCREEN =
		{
		x = 2550;
		y = 593;
		width = 200;
		height = 200;
		}

		CMS_SCREEN =
		{
		x = 3547;
		y = 14;
		width = 270;
		height = 60;
		}

		CMSC_SCREEN =
		{
		x = 1926;
		y = 6;
		width = 300;
		height = 90;
		}

		RWR_SCREEN =
		{
		x = 2050;
		y = 100;
		width = 300;
		height = 300;
		}

		CDU_SCREEN =
		{
		x = 3470;
		y = 85;
		width = 475;
		height = 360;
		}
	--end A-10C Add-on Gauges

--***************
--	   Su-25T
--***************	
	elseif
	unit_type == 'Su-25T' then

    RIGHT_MFCD =
    {
         x = 3372;
         y = 0;
         width = 600;
         height = 450;
    }

	KNEEBOARD =
	{
	x = 2418;
	y = 491;
	width = 526;
	height = 789;
	}


   else
        LEFT_MFCD =
		{
		x = 2530;
		y = 15;
		width = 408;
		height = 408;
		}

		RIGHT_MFCD =
		{
		x = 2948;
		y = 16;
		width = 408;
		height = 408;
		}

		KNEEBOARD =
		{
		x = 1924;
		y = 491;
		width = 526;
		height = 789;
		}
    end
end









